using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HaloObjects;

namespace HaloPlugins.Xbox
{
    public class itmc
    {
       public List<MetaNode> Fields = new List<MetaNode>();

       public itmc()
       {
           Fields.AddRange(new MetaNode[] {
           new Reflexive("Item Permutations", 16, new MetaNode[] { 
               new Value("Weight", typeof(float)),
               new TagReference("Item"),
               new StringID("Variant Name"),
           }),
           new Value("Unused Spawn Time   (in seconds, 0 = default)", typeof(uint)),
           });
       }
    }
}
